package com.usoft.fin.grpc.dal.mapper;

import com.usoft.fin.grpc.dal.entity.CreditApplyUserinfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CreditApplyUserinfoMapper {
    /**
     * deleteByPrimaryKey
     * 
     * @param id
     * @return int
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * 
     * @param record
     * @return int
     */
    int insert(CreditApplyUserinfo record);

    /**
     * insertSelective
     * 
     * @param record
     * @return int
     */
    int insertSelective(CreditApplyUserinfo record);

    /**
     * selectByPrimaryKey
     * 
     * @param id
     * @return CreditApplyUserinfo
     */
    CreditApplyUserinfo selectByPrimaryKey(Integer id);

    /**
     * updateByPrimaryKeySelective
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKeySelective(CreditApplyUserinfo record);

    /**
     * updateByPrimaryKey
     * 
     * @param record
     * @return int
     */
    int updateByPrimaryKey(CreditApplyUserinfo record);

    /**
     * findByCode
     *
     * @param code
     * @return CreditApply
     */
    List<CreditApplyUserinfo> findByCreditCode(@Param("code")String code);
}